﻿using Infragistics.Win;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraTimeSpanEditor1.Format = Infragistics.Win.TimeSpanFormat.Hours;
        }

        private void ultraTimeSpanEditor1_BeforeExitEditMode(object sender, Infragistics.Win.BeforeExitEditModeEventArgs e)
        {
            string currTxt = (ultraTimeSpanEditor1.Editor as TimeSpanEditor).TextBox.Text;
            if (IsDigitsOnly(currTxt))
            {
                var val = ultraTimeSpanEditor1.TimeSpan.Days;
                ultraTimeSpanEditor1.TimeSpan = new TimeSpan(0, val, 0, 0);

                ultraTimeSpanEditor1.Format = TimeSpanFormat.Hours;
            }
        }

        bool IsDigitsOnly(string str)
        {
            foreach (char c in str)
            {
                if (c < '0' || c > '9')
                    return false;
            }

            return true;
        }
    }
}
